Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class IsIndexElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.SinglePartElement
                        |
                        +--weblogic.html.IsIndexElement

Deprecated. Use a standard InputElement instead

public class IsIndexElement
extends SinglePartElement

An IsIndexElement is used to add an ISINDEX element to the head portion of an HtmlPage. Although this element was deprecated in HTML 4.0, htmlKona supports it for backwards compatibility. Not all browsers may display this element properly.

Author:
  Copyright (c) 1996, by WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`IsIndexElement()` Deprecated. Constructs an empty IsIndexElement.
`IsIndexElement(java.lang.String prompt)` Deprecated. Constructs an IsIndexElement with the specified prompt string.
`IsIndexElement(java.lang.String prompt, java.lang.String href)` Deprecated. Constructs an IsIndexElement with the specified prompt and URI.

Method Summary
`protected java.lang.String` | `getHtmlCode()` Deprecated.
`protected boolean` | `printBody()` Deprecated.
`protected boolean` | `printCR()` Deprecated.
`protected boolean` | `printEndingTag()` Deprecated.
`IsIndexElement` | `setHref(java.lang.String href)` Deprecated. Sets the Href for an IsIndexElement.
`IsIndexElement` | `setPrompt(java.lang.String prompt)` Deprecated. Sets the prompt for an IsIndexElement.

Methods inherited from class weblogic.html.SinglePartElement
`getElement, printBody, printBody, printBody, setElement, setElement, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IsIndexElement

    public IsIndexElement()

  Deprecated.
  Constructs an empty IsIndexElement.

### IsIndexElement

    public IsIndexElement(java.lang.String prompt)

  Deprecated.
  Constructs an IsIndexElement with the specified prompt string.

  Parameters:
    `prompt` - String prompt

### IsIndexElement

    public IsIndexElement(java.lang.String prompt,
                          java.lang.String href)

  Deprecated.
  Constructs an IsIndexElement with the specified prompt and URI.

  Parameters:
    `prompt` - String prompt
    `href` - URI

Method Detail

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Deprecated.

  Overrides:
    getHtmlCode in class ElementWithAttributes

### printEndingTag

    protected boolean printEndingTag()

  Deprecated.

  Overrides:
    printEndingTag in class ElementWithAttributes

### printBody

    protected boolean printBody()

  Deprecated.

  Overrides:
    printBody in class ElementWithAttributes

### printCR

    protected boolean printCR()

  Deprecated.

  Overrides:
    printCR in class ElementWithAttributes

### setHref

    public IsIndexElement setHref(java.lang.String href)

  Deprecated.
  Sets the Href for an IsIndexElement.

  Parameters:
    `href` - URI
  Returns:
    IsIndexElement.

### setPrompt

    public IsIndexElement setPrompt(java.lang.String prompt)

  Deprecated.
  Sets the prompt for an IsIndexElement.

  Parameters:
    `prompt` - String prompt
  Returns:
    IsIndexElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD